#%RAML 1.0
---
title: TeamKnowlogy Server
version: v1
/doc:
  get:
    description: Documentation endpoint
    responses:
      200:
        description: HTML Teamknowlogy Server documentation
        body:
          text/html:
/mutation:
  post:
    description: Mutation detection endpoint
    body:
      application/json:
        type: object
        example: |
          {
            "adn": ["ATGCGA","CAGTGC","TTATGT","AGAAGG","CCCCTA","TCACTG"]
          }

    responses:
      200:
        description: Mutation detected
        body:
      403:
        description: No mutation detected
        body:
/stats:
  get:
    description: Mutation Statistics
    responses:
      200:
        description: Mutation statistics
        body:
          application/json:
            type: object
            example: |
              {
                "count_mutations": 2,
                "count_no_mutation": 1,
                "ratio": 2
              }
